> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new associated person document

> Creates a new associated person document.



## OpenAPI

````yaml /autogenerated/openapi/onboarding.openapi.json post /applications/associated-people/{associatedPersonId}/documents
openapi: 3.1.0
info:
  title: Onboarding API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /applications/associated-people/{associatedPersonId}/documents:
    post:
      tags:
        - Onboarding
      summary: Create a new associated person document
      description: Creates a new associated person document.
      operationId: createAssociatedPersonDocument
      parameters:
        - name: associatedPersonId
          in: path
          required: true
          schema:
            description: The ID of the associated person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
      requestBody:
        description: Body
        content:
          multipart/form-data:
            schema:
              type:
                - object
              properties:
                purpose:
                  type:
                    - string
                  enum:
                    - PROOF_OF_IDENTITY
                    - PROOF_OF_ADDRESS
                    - PROOF_OF_LIVENESS
                    - PROOF_OF_FUNDS
                    - OTHER
                file: {}
              required:
                - purpose
              example:
                purpose: PROOF_OF_IDENTITY
                file: null
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    format: uuid
                    maxLength: 36
                    description: The ID of the document to work with.
                    example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  associatedPersonId:
                    description: The ID of the associated person to work with.
                    type:
                      - string
                    format: uuid
                    maxLength: 36
                    example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  purpose:
                    type:
                      - string
                    enum:
                      - PROOF_OF_IDENTITY
                      - PROOF_OF_ADDRESS
                      - PROOF_OF_LIVENESS
                      - PROOF_OF_FUNDS
                      - OTHER
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                required:
                  - id
                  - associatedPersonId
                  - purpose
                  - createdAt
                  - updatedAt
                example:
                  id: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  associatedPersonId: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
                  purpose: PROOF_OF_IDENTITY
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - documents:create:any
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````